Skip to content

LoanAppWorkFlow⁠

Perform various operations for Symitar parameters.

Operations⁠

getLoanAppWorkFlowSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppWorkFlowSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppWorkFlowApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppWorkFlowSelectFields
POST /nexum/627/persistent/parameter/getLoanAppWorkFlowSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppWorkFlowApplicationType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllLoanAppWorkFlowFields": true,
    "LoanAppWorkFlowFields": {
      "ApplicationType": true,
      "Event": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getLoanAppWorkFlowPagedListSelectFields⁠

POST

Execute the persistent ParameterService getLoanAppWorkFlowPagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getLoanAppWorkFlowPagedListSelectFields
POST /nexum/627/persistent/parameter/getLoanAppWorkFlowPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppWorkFlowFields": true,
    "LoanAppWorkFlowFields": {
      "ApplicationType": true,
      "Event": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchLoanAppWorkFlowPagedSelectFields⁠

POST

Execute the persistent ParameterService searchLoanAppWorkFlowPagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchLoanAppWorkFlowPagedSelectFields
POST /nexum/627/persistent/parameter/searchLoanAppWorkFlowPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllLoanAppWorkFlowFields": true,
    "LoanAppWorkFlowFields": {
      "ApplicationType": true,
      "Event": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateLoanAppWorkFlowByID⁠

POST

Execute the persistent ParameterService updateLoanAppWorkFlowByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

LoanAppWorkFlowApplicationTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateLoanAppWorkFlowByID
POST /nexum/627/persistent/parameter/updateLoanAppWorkFlowByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "LoanAppWorkFlowApplicationType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "LoanAppWorkFlowFields": {
    "ApplicationType": 0,
    "Event": [
      {
        "EntryId": 0,
        "Event": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}